Bug 169046 - Web Inspector: Option-clicking the close tab button should close all other tabs
Summary: Web Inspector: Option-clicking the close tab button should close all other tabs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-03-01 11:04 PST by BJ Burg
Modified: 2017-04-03 13:19 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.75 KB, patch)
2017-03-27 15:14 PDT, Devin Rousso
mattbaker: review+
Details | Formatted Diff | Diff
Patch (1.62 KB, patch)
2017-03-27 22:32 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2017-03-01 11:04:45 PST
Via Nelson Thachuk:

"""
* SUMMARY
- Option-clicking the close tab button should close all other tabs

* STEPS TO REPRODUCE
1. Launch Safari
2. Navigate to a webpage
3. Show Web Inspector (⌥⌘I)
4. Option-click the close tab button of any tab

* EXPECTED RESULTS
- All other tabs should close

* ACTUAL RESULTS
- Clicked tab closes
"""
Comment 1 BJ Burg 2017-03-01 11:05:29 PST
<rdar://problem/30621679>
Comment 2 BJ Burg 2017-03-24 00:50:19 PDT
Devin, want to knock this out?
Comment 3 Devin Rousso 2017-03-27 15:14:18 PDT
Created attachment 305517 [details]
Patch
Comment 4 Matt Baker 2017-03-27 19:03:45 PDT
Comment on attachment 305517 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=305517&action=review

r=me

> Source/WebInspectorUI/UserInterface/Views/TabBar.js:617
> +            if (event.altKey) {

Suggested early return:

if (!event.altKey) {
    this.removeTabBarItem(tabBarItem, false, true);
    return;
}
Comment 5 Devin Rousso 2017-03-27 22:32:49 PDT
Created attachment 305562 [details]
Patch
Comment 6 WebKit Commit Bot 2017-03-27 23:18:01 PDT
Comment on attachment 305562 [details]
Patch

Clearing flags on attachment: 305562

Committed r214464: <http://trac.webkit.org/changeset/214464>
Comment 7 WebKit Commit Bot 2017-03-27 23:18:05 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Joseph Pecoraro 2017-04-03 13:19:48 PDT
Is this really what we want? I can see how it is useful in Safari / Web Browser but in Web Inspector I suspect this would only be triggered accidentally / unexpectedly.